#ifndef _PROC_DEF_ISP_H_
#define _PROC_DEF_ISP_H_

#include "DSPCommon.h"

#ifdef  __cplusplus
extern "C"
{
#endif

extern void init_isp_enc(UInt32 input_width, UInt32 input_height,
                  UInt32 output_width0, UInt32 output_height0,
                  UInt32 output_width1, UInt32 output_height1,
                  UInt32 output_width2, UInt32 output_height2,
                  UInt32 scl_ch_en);
extern void isp_enc_pic_start(UInt8 PicNum);
extern int set_isp_scl_int_arm(UInt32 mask, int (*isr)(UInt32 irq_no, UInt32 src_pid));
extern int int_vec_isp(UInt32 irq_no, UInt32 srcPID);

#ifdef  __cplusplus
}
#endif

#endif // _PROC_DEF_MEM_H_
